#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: threads
version: 0.5.1.3
id: threads-0.5.1.3-632d970c345092ad7ce9893710fec10f
key: threa_Ix9qqtSzJHeH9s5qOMBSyF
license: BSD3
copyright: 2010–2012 Bas van Dijk & Roel van Dijk
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
            Roel van Dijk <vandijk.roel@gmail.com>
stability: experimental
homepage: https://github.com/basvandijk/threads
synopsis: Fork threads and wait for their result
description:
    This package provides functions to fork threads and
    wait for their result, whether it'\''s an exception or a
    normal value.
    .
    Besides waiting for the termination of a single thread
    this packages also provides functions to wait for a
    group of threads to terminate.
    .
    This package is similar to the
    @threadmanager@, @async@ and @spawn@ packages.
    The advantages of this package are:
    .
    * Simpler API.
    .
    * More efficient in both space and time.
    .
    * No space-leak when forking a large number of threads.
    .
    * Correct handling of asynchronous exceptions.
    .
    * GHC specific functionality like @forkOn@ and @forkIOWithUnmask@.
category: Concurrency
author: Bas van Dijk <v.dijk.bas@gmail.com>
        Roel van Dijk <vandijk.roel@gmail.com>
exposed: True
exposed-modules:
    Control.Concurrent.Thread Control.Concurrent.Thread.Group
hidden-modules: Control.Concurrent.Raw
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/threads-0.5.1.3
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/threads-0.5.1.3
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/threads-0.5.1.3
hs-libraries: HSthreads-0.5.1.3-Ix9qqtSzJHeH9s5qOMBSyF
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    stm-2.4.4-2526ff89874f899372b2e4f544bb03cd
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/threads-0.5.1.3/html/threads.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/threads-0.5.1.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
